Jump to content
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble

MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, register and become a site sponsor/subscriber and ads will be disabled automatically. 



Fernando 1

Integration of nvRaid drivers into XPx64 and W2k3x64

Recommended Posts

Yes I have tried with both versions.

I have also done the manual installs by editing txtsetup.sif and winnt.sif, which didnt work either.

I am going to roll back to the official 6.25 drivers. I have been working with the 6.56 betas.

First im going to pop into the recovery console and see if I cant figure out what its dying on during bootup

Share this post


Link to post
Share on other sites

Yes I have tried with both versions.

I have also done the manual installs by editing txtsetup.sif and winnt.sif, which didnt work either.

I suppose, that you have done something wrong.

You can make a lot of mistakes by editing the TXTSETUP.SIF. That is why I searched for an easier method.

Try it again with nLite 1.0 Beta4 and follow exactly the instructions given by me in the first post of this thread.

Good luck!

Fernando

Share this post


Link to post
Share on other sites

Well I tried it again, it bombs out into eternal rebooting on acpitabl.dat

So I went and searched for it. Looks like only the 6.34 and 6.66 nvraid drivers will actually work (and the 6.34's give a nagging error during install)

So I am downloading the 6.66 even though it's for the NF4, hopefully I can rip the SATA raid drivers and they will function properly.

I'll report back in a bit

_______

Update: The nForce4 6.66 AMD drivers dont work either. Last hope looks to be the 6.34

Edited by noen

Share this post


Link to post
Share on other sites
Well I tried it again, it bombs out into eternal rebooting on acpitabl.dat

So I went and searched for it.  Looks like only the 6.34 and 6.66 nvraid drivers will actually work (and the 6.34's give a nagging error during install)

So I am downloading the 6.66 even though it's for the NF4, hopefully I can rip the SATA raid drivers and they will function properly.

Update:  The nForce4 6.66 AMD drivers dont work either.  Last hope looks to be the 6.34

As I have written in first post, I have only tested this method with my nForce4 chipset, but I am nearly sure, that it works on nForce3 systems too. My tests with the integration of the Sata/Raid drivers from the NVIDIA driver package v. 6.66 (64-bit version) were without any issue.

Are you sure, that you have taken the 64-bit versions of the chipset driver package 6.66? I ask this, because NVIDIA gave the wrong download link for a while with the result, that many users tried to install 32-bit drivers onto a 64-bit system. That won't work!

Please let me know the results of your further tests.

CU

Fernando

Share this post


Link to post
Share on other sites

Yes, the installation proces works completely.

It fails AFTER setup has finished (When the gui mode install completes and restarts to begin windows)

It hangs on loading acpitabl.dat, which after doing a lot of googling seems to be caused by loading an incorrect, corrupt or wrong driver set.

Actually I do have a question that isnt clear in your guide.

Yes I am 100% sure using the 6.66 64bit drivers.

I have the sata/pata folders as descrtibed.

However there is no nvatax64.inf file int he sataraid folder, and there are two copies of the nvatax64.sys folder.

Which do I use, and do I put them all in the same single OEMDIR directory?

Share this post


Link to post
Share on other sites
Yes, the installation proces works completely.

It fails AFTER setup has finished (When the gui mode install completes and restarts to begin windows)

It hangs on loading acpitabl.dat, which after doing a lot of googling seems to be caused by loading an incorrect, corrupt or wrong driver set.

Actually I do have a question that isnt clear in your guide.

Yes I am 100% sure using the 6.66 64bit drivers.

I have the sata/pata folders as descrtibed. 

However there is no nvatax64.inf file int he sataraid folder, and there are two copies of the nvatax64.sys folder.

Which do I use, and do I put them all in the same single OEMDIR directory?

1. It is clear, that there is no NVATAX64.INF file in your SATARAID subfolder. That is why you have to take this file from the PATARAID subfolder to put in into the OEMDIR directory.

2. I don't believe, that you have 2 NVATAX64.SYS folders. What you certainly mean is, that you have such a file in both subfolders SATARAID and PATARAID. These 2 files are totally identical.

3. I believe, that your problem has nothing to do with the integration of the Sata Raid drivers, but with the GART drivers. As you should know, systems with nForce3 chipset need a GART driver. This driver is missing in the NVIDIA chipset package 6.66, because it was designed for nForce4 chipsets, which do not need any GART drivers.

My tip for you: Integrate the Sata Raid drivers with nLite 1.0 b4 as textmode drivers and the SMBus drivers from the package 6.66, but integrate additionally the GART drivers from another 64-bit chipset package (for example 6.25).

Good luck!

Fernando

Edited by Fernando 1

Share this post


Link to post
Share on other sites

Can someone confirm which is the latest drivers that works with nforce3, 32 - and 64, integrated or not.

I have tried to up date to the new 6.66 32bit but they dont seem to work for me.

and yes im aware that the gart driver dont exist, but i cannot even update the raid controllers manually, the latest that works for me is 6.53, that works like a charm when slipstreaming windows xp with nlite too.

Edited by Metalljens

Share this post


Link to post
Share on other sites
Can someone confirm which is the latest drivers that works with nforce3, 32 - and 64, integrated or not.

I have tried to up date to  the new 6.66 32bit but they dont seem to work for me.

and yes im aware that the gart driver dont exist, but i cannot even update the raid controllers manually, the latest that works for me is 6.53, that works like a charm when slipstreaming windows xp with nlite too.

The situation for nForce3 user is really awfull - you don't have any official and WHQL-certified x64 drivers for your chipset at the moment and the last official 32-bit version is the old package 5.10.

As many users report, the driver package 6.66 (32-bit and 64-bit version) runs without any problems on nForce3 mainboards. The latest driver package version is 7.13.

Maybe you should wait a few days. NVIDIA seems to release a new (unified and certified?) driver within the next days.

P.S.: I would newer update a Raid driver on a running system. It may end with a loss of your Raid array.

Edited by Fernando 1

Share this post


Link to post
Share on other sites

Yes, it really is awful.

But what i dont understand is how can some of the nforce4 standalone packages work with nforce3 while others dont?

As i said earlier updating manually wouldnt do it for me.

So i did like this, i copied the nvatabus.inf from pataraid to sataraid just like you said, then i ran the nvidia setup and just chosed to install smbus and ide, when it came to the part of installing the idedrivers, i choose to install the SW drivers it said that the existing files were newer than the ones i was installing, and asked if i wanted to overwrite them, (this is for the nvidia pata and the sata controllers) (the ones i had installed was from the 6.53, and the ones i tried to install are from the 7.13) i answered yes to overwrite them and it worked like a charm.

It seems as though i cant install the ethernet driver from anything newer than the 6.53 drivers, otherwise it just bsod when installing using nvidia setup program.

Havent tried to manually install it yet, it doesnt seem that important either.

Havent tried the audiodrivers though, because i use the realtek ones instead.

So i have now made a driver package with smbus- and idedrivers from 7.13

Ethernet drivers from 6.53 and gart drivers from, well dont remember which was the latest.

This is for Xp32! havent tried to slipstream these drivers yet i will try it soon.

as for Xp64 i shall try the same thing there.

Edited by Metalljens

Share this post


Link to post
Share on other sites
It seems as though i cant install the ethernet driver from anything newer than the 6.53 drivers, otherwise it just bsod when installing using nvidia setup program.

Havent tried to manually install it yet, it doesnt seem that important either.

So i have now made a driver package with smbus- and idedrivers from 7.13

Ethernet drivers from 6.53 and gart drivers from, well dont remember which was the latest.

The mixing of drivers from different packages is no problem, when you try to integrate them with nLite. You only may get difficulties, when you install them by setup.

Here you can find a lot of things about nForce drivers:

http://www.nforcershq.com/forum/latest-dri...-3-vt60240.html

When you try to integrate your driver mix with nLite, I would not integrate any ethernet drivers. As you have written, you have difficulties to find a working driver. It will be easy to install this driver later (may be with the one from the coming nForce version 8.03?)

Share this post


Link to post
Share on other sites

Did it exactly as explained and got 2 BSOD's during the install. The problem i had before was a BSOD right when it's supposed to go the the desktop. Glad someone got it to work though :D

Edit: Got it to run all the way through, same exact problem as with floppy drivers. Instant BSOD before desktop loads. Sorry but no dice on this one folks.

Edited by Sucka

Share this post


Link to post
Share on other sites

@ Sucka:

What kind of hardware do you have (nForce3 or nForce4, Sata Raid or Pata Raid) and which nForce driver version did you use?

Share this post


Link to post
Share on other sites

Fernando:

DFI SLI-D 6/23-2

AMD X2 4400+

2x250 Hitachi 16mb NCQ RAID 0

Followed your guide all the way through and first two installs i got BSOD's and the third it fully installed, but i got that same old BSOD as it goes to desktop i had been getting before. I actually just found working drivers, so i'm all set!

Edited by Sucka

Share this post


Link to post
Share on other sites
DFI SLI-D 6/23-2

AMD X2 4400+

2x250 Hitachi 16mb NCQ RAID 0

Followed your guide all the way through and first two installs i got BSOD's and the third it fully installed, but i got that same old BSOD as it goes to desktop i had been getting before. I actually just found working drivers, so i'm all set!

You did not mention your mainboard and chipset, but only the BIOS version. But as I am an owner of a DFI UT Lanparty Ultra-D, I think, that we both have the same chipset (nForce4 Ultra).

It is clear, that you can install Windows XP x64 by F6/floppy method, when you use the NVIDIA chipset driver package 6.56 or older, the problems began with the drivers from version 6.66 and higher.

As I made my tests only with my Sata Raid board, I cannot give you a safe solution for your BSOD problem. It's maybe caused by other hardware (did you turned off all USB devices during setup?).

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now


  • Recently Browsing   0 members

    No registered users viewing this page.

×